Software update misinformation

  • 27 January 2020
  • 0 replies
  • 146 views

So thanks to your string of e-mails over the last 2 weeks about how the future WON’T support my leagacy products Play 5 (1) and connect. I went out and upgraded my connect to the Amp.

I now find out today (E-mail from CEO) that you WILL still be supporting these old products and you will be keeping them (somewhat up to date). Well I’m now a little Hacked Off to say the least that I didn’t need to upgrade at all and that. Your communications over the last few weeks have been misleading and caused me to needlessly update part of my system. I AM NIOT HAPPY.

 


0 replies

Be the first to reply!

Reply